Package com.xebialabs.xlrelease.domain.environments

# Class DeploymentState

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.environments.DeploymentState

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="Entity that represents current state of deployment", versioned=false, root=CONFIGURATION) public class DeploymentState extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeploymentState`
  `create(String statusGroup, String status, String deepLink, String versionTag, String versionState, String versionLink, String versionTooltip, String deploymentType, String user, Date time)`
  `String`
  `getDeploymentLink()`
  `String`
  `getDeploymentType()`
  `Date`
  `getLastChangeTime()`
  `String`
  `getStatus()`
  `String`
  `getStatusGroup()`
  `String`
  `getUser()`
  `String`
  `getVersionLink()`
  `String`
  `getVersionState()`
  `String`
  `getVersionTag()`
  `String`
  `getVersionTooltip()`
  `void`
  `setDeploymentLink(String deploymentLink)`
  `void`
  `setDeploymentType(String deploymentType)`
  `void`
  `setLastChangeTime(Date lastChangeTime)`
  `void`
  `setStatus(String status)`
  `void`
  `setStatusGroup(String statusGroup)`
  `void`
  `setUser(String user)`
  `void`
  `setVersionLink(String versionLink)`
  `void`
  `setVersionState(String versionState)`
  `void`
  `setVersionTag(String versionTag)`
  `void`
  `setVersionTooltip(String versionTooltip)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentState

    public DeploymentState()

- ## Method Details

  - ### create

    public static DeploymentState create(String statusGroup, String status, String deepLink, String versionTag, String versionState, String versionLink, String versionTooltip, String deploymentType, String user, Date time)

  - ### getStatusGroup

    public String getStatusGroup()

  - ### setStatusGroup

    public void setStatusGroup(String statusGroup)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getVersionTag

    public String getVersionTag()

  - ### setVersionTag

    public void setVersionTag(String versionTag)

  - ### getVersionState

    public String getVersionState()

  - ### setVersionState

    public void setVersionState(String versionState)

  - ### getDeploymentType

    public String getDeploymentType()

  - ### setDeploymentType

    public void setDeploymentType(String deploymentType)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getLastChangeTime

    public Date getLastChangeTime()

  - ### setLastChangeTime

    public void setLastChangeTime(Date lastChangeTime)

  - ### getDeploymentLink

    public String getDeploymentLink()

  - ### setDeploymentLink

    public void setDeploymentLink(String deploymentLink)

  - ### getVersionTooltip

    public String getVersionTooltip()

  - ### setVersionTooltip

    public void setVersionTooltip(String versionTooltip)

  - ### getVersionLink

    public String getVersionLink()

  - ### setVersionLink

    public void setVersionLink(String versionLink)